"use strict";

const sqlInit = require('../services/sql_init');
const setupService = require('../services/setup');

async function setupPage(req, res) {
    if (await sqlInit.isDbInitialized()) {
        res.redirect('/');
    }

    // we got here because DB is not completely initialized so if schema exists
    // it means we're in sync in progress state.
    const syncInProgress = await sqlInit.schemaExists();

    if (syncInProgress) {
        // trigger sync if it's not already running
        setupService.triggerSync();
    }

    res.render('setup', {
        syncInProgress: syncInProgress
    });
}

module.exports = {
    setupPage
};
